<?
/* Name: index.php
 * Project: Remote Sensor based on AVR USB driver
 * Author: Christian Starkjohann
 * Creation Date: 2005-04-13
 * Tabsize: 4
 * Copyright: (c) 2005 by OBJECTIVE DEVELOPMENT Software GmbH
 * License: GNU GPL v2 (see License.txt) or proprietary (CommercialLicense.txt)
 * This Revision: $Id: index.php 314 2007-03-29 17:17:09Z cs $
 */

/*
General Description:
This is primarily an HTML file including diagram images with the appropriate
query parameters. Before the diagrams are referenced, the summary files are
updated.
*/

    header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");               // date from the past
    header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");  // always changed
    header("Cache-Control: no-store, no-cache, must-revalidate");   // HTTP/1.1
    header("Cache-Control: post-check=0, pre-check=0", false);      // second header, don't replace
    header("Pragma: no-cache");                                     // HTTP/1.0
?>
<html><head>
<meta http-equiv="Refresh" content="400">
</head><body>
<?
    include("summary.php"); /* compute averages before we create diagrams */
    $query = "";
    for($i=0;$i<16;$i++){
        if($_REQUEST["st$i"]){
            $query .= "&st$i=1";
        }
        if($_REQUEST["srh$i"]){
            $query .= "&srh$i=1";
        }
        if($_REQUEST['date']){
            $referenceDate = parseHumanInputTimestamp($_REQUEST['date']);
            $query .= "&endTime=$referenceDate";
        }
    }
?>
<h1>Temperature and Humidity Statistics</h1>
<table border=0 cellpadding=0 cellspacing=8><tr><td valign=top>
<?
    if(isset($referenceDate)){
        $d = date("Y-m-d", $referenceDate - 86400);
        echo "Reference Date: $d 24:00:00<p>\n";
    }
?>
<b>Last 24 Hours</b><br>
<img width=600 height=250 src="diagram.php?interval=day<?echo $query?>">
<p>
<b>Last Week (30 minutes average)</b><br>
<img width=600 height=250 src="diagram.php?interval=week<?echo $query?>">
<p>
<b>Last Month (2 hours average)</b><br>
<img width=600 height=250 src="diagram.php?interval=month<?echo $query?>">
<p>
<b>Last Year (1 day average)</b><br>
<img width=600 height=250 src="diagram.php?interval=year<?echo $query?>">
</td><td valign=top>
<p>
<b>Sensor Overview</b><p>
<?
    $v = voltages();
    echo "<table border=0 cellspacing=2 cellpadding=0>\n";
    echo "<tr><td>Sensor</td><td align=center>T</td><td align=center>rH</td><td>Battery</td></tr>\n";
    for($i=0;$i<16;$i++){
        $t = colorForSensor($i, 0);
        $t = sprintf("#%02x%02x%02x", $t[0], $t[1], $t[2]);
        $h = colorForSensor($i, 1);
        $h = sprintf("#%02x%02x%02x", $h[0], $h[1], $h[2]);
        if(isset($v[$i])){
            $voltage = sprintf("%.2f V", $v[$i]);
        }else{
            $voltage = "n/a";
        }
        echo "<tr><td align=right>$i</td><td><font color='$t' nowrap>&nbsp;<nobr>-------</nobr>&nbsp;</font></td><td><font color='$h' nowrap>&nbsp;<nobr>-------</nobr>&nbsp;</font></td><td>$voltage</td></tr>\n";
    }
    echo "</table>";
?>
<form method=get action='index.php'>
<p>
<b>Suppress Data Sets</b><p>
<?
    echo "<table border=0 cellspacing=2 cellpadding=0>\n";
    echo "<tr><td align=right>Sensor</td><td align=center>&nbsp;T&nbsp;</td><td align=center>&nbsp;rH</td></tr>\n";
    for($i=0;$i<16;$i++){
        $tChecked = $_REQUEST["st$i"] ? " checked" : "";
        $rhChecked = $_REQUEST["srh$i"] ? " checked" : "";
        echo "<tr><td align=right>$i</td><td align=center>&nbsp;<input type=checkbox name='st$i' value=1$tChecked>&nbsp;</td><td align=center>&nbsp;<input type=checkbox name='srh$i' value=1$rhChecked></td></tr>\n";
    }
    echo "</table>";
?>
<p>
<b>Set Reference Date</b><p>
Date: <input name='date' size=18 value="<?echo $_REQUEST['date'];?>"><br>
<small>(Leave blank for current date.)</small><br>
<div align=right><input type=submit value='Update'></div>
</form>
</td></tr></table>
</body></html>
